// LinearFnBlockDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DiagramEng.h"
#include "LinearFnBlockDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLinearFnBlockDialog dialog


CLinearFnBlockDialog::CLinearFnBlockDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CLinearFnBlockDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLinearFnBlockDialog)
	m_dDerivative = 0.0;
	m_dTimeFinal = 0.0;
	m_dTimeInit = 0.0;
	m_dValueInit = 0.0;
	//}}AFX_DATA_INIT
}


void CLinearFnBlockDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLinearFnBlockDialog)
	DDX_Text(pDX, ID_LINEARFN_BLK_DLG_EB_DERIV, m_dDerivative);
	DDX_Text(pDX, ID_LINEARFN_BLK_DLG_EB_TFINAL, m_dTimeFinal);
	DDX_Text(pDX, ID_LINEARFN_BLK_DLG_EB_TINIT, m_dTimeInit);
	DDX_Text(pDX, ID_LINEARFN_BLK_DLG_EB_VINIT, m_dValueInit);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLinearFnBlockDialog, CDialog)
	//{{AFX_MSG_MAP(CLinearFnBlockDialog)
	ON_BN_CLICKED(ID_LINEARFN_BLK_DLG_BTN_OK, OnLinearFnBlkDlgBtnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLinearFnBlockDialog message handlers



void CLinearFnBlockDialog::OnLinearFnBlkDlgBtnOk() 
{
	// TODO: Add your control notification handler code here
	
	// DiagramEng (start)

	//AfxMessageBox("\n CLinearFnBlockDialog::OnLinearFnBlkDlgBtnOk()\n", MB_OK, 0);
	
	// Update variable values with the Dlg Wnd control values
	UpdateData(TRUE);

	// Close the dialog wnd with OnOK()
	OnOK();

	// DiagramEng (end)
}

